### Method

# AppStream Component add_addon

since: 0.9.2

#### Declaration [src]

    void
    as_component_add_addon (
      AsComponent* cpt,
      AsComponent* addon
    )

#### Description [src]

Add a reference to the addon that is enhancing this component.

Available since: 0.9.2

#### Parameters

`addon`

  Type: `AsComponent`

  The `AsComponent` that extends `cpt`.

  The data is owned by the caller of the method.